import fetch from 'isomorphic-fetch';
import actionTypes from '../actiontype/user'
import {saveHeaderInfo} from './initHeader'
const domain = ENV.domain;

let json = {
    "meta": {
        "code": "200",
        "message": "成功",
        "success": true
    },
    "data": {
        "types":'Trouble',
        "employee":{
            "id": 5,
            "employeeName": "机器库管员",
            "headImageUrl": "http://www.mjitech.com/static/coupon/gounian/banner_hongbaotupian-3-14.jpg",
        },
    }
}

const saveUserinfo = (data)=>{
    return{
        type:actionTypes.SAVEUSERINFO,
        data
    }
};


const getUserinfo = (info)=>{
    let employeeId = info.employeeid;
    return(dispatch)=>{
        dispatch(saveHeaderInfo(info));
        // fetch(domain + '/web/flush_image.action',{
        //     credentials : 'include',
        //     method : 'POST',
        //     mode : 'cors',
        //     body : {}
        //
        // }).then((response)=>response.json())
        //     .then(json=>{
        //         console.log(json);
        //     }).catch(e=>{console.error(e)})
        if(json.meta.success && json.data){
            dispatch(saveUserinfo(json.data))
        }

    }
}

const logoutUser = ()=>{
    return {
        type : actionTypes.LOGOUTUSER,
    }
}

export {getUserinfo,logoutUser}

