import React from 'react';
require('./index.css');
import ImgToolComponent from '../../../components/CommonComponent/ImgToolComponent/CommonSmalContainer';
export default class ProductDetailItem extends React.Component{
    constructor(props){
        super(props)
        this.state = {
            currentPosition:"",
            currentPakageStatus:""
        }
    }
    handleSelectPosition(event){
        let currentValue = event.currentTarget.getAttribute('date-value');
        this.setState({
            currentPosition:currentValue
        })
        console.log("选位置");
        console.log(event)
    }
    handleSelectStaus(event){
        let currentValue = event.currentTarget.getAttribute('date-value');
        this.setState({
            currentPakageStatus:currentValue
        })
        console.log("选位置");
        console.log(event)
        console.log("选状态")
    }

    handleSubmit(){
        let {inventorylossId,skuBaseInfoVo,handleSubmitProductInfo} = this.props;
        let data = {};
        data.inventoryLossId = inventorylossId;
        data.lossPostion = this.state.currentPosition;
        data.packingStatus = this.state.currentPakageStatus;
        data.packingStatusImageIds = [];
        console.log(data)
        handleSubmitProductInfo(data)
    }

    render(){
        let props = this.props;
        let {skuBaseInfoVo,packingList,positionList} = this.props;
        let productContent = '';
        let positonUi = positionList.map((item,index)=>{
            return <li
                key={"position"+index}
                date-value = {item}
                className={item == this.state.currentPosition?"checkLi":""}
                onClick={this.handleSelectPosition.bind(this)}
            >{item}</li>
        })
        let statusUi = packingList.map((item,index)=>{
            return <li
                key={"pakingStatus"+index}
                date-value = {item}
                className={item == this.state.currentPakageStatus?"checkLi":""}
                onClick={this.handleSelectStaus.bind(this)}
            >{item}</li>
        })
        skuBaseInfoVo.skuAttributesVoList.map((item,index)=>{
            let newText = "";
            newText = item.value+item.unit
            productContent+=newText;
        })
        return (
            <div className={"productContainer clearfix"}>
                <div className={"baseInfo clearfix"}>
                    <img className={"productImg"} src={skuBaseInfoVo.skuImagePath} alt=""/>
                    <div className={"skuInfo"}>
                        <p className={"barcode"}>{skuBaseInfoVo.barcode}</p>
                        <p className={"skuNumnber"}>{skuBaseInfoVo.skuNumber}</p>
                        <p className={"productName"}>{skuBaseInfoVo.skuName}</p>
                        <p className={"net"}>{productContent}</p>
                    </div>
                </div>
                <div className={"locationInfo clearfix"}>
                    <div className={"infoTitle"}>商品位置</div>
                    <ul className={"detailContainer clearfix"}>
                        {positonUi}
                       {/* <li className={"checkLi"}>出货传送区</li>
                        <li>轨道</li>*/}

                    </ul>
                </div>
                <div className={"statusInfo"}>
                    <div className={"infoTitle"}>商品状态</div>
                    <ul className={"detailContainer clearfix"}>
                        {statusUi}
                    </ul>
                </div>
                <div className={"uploadContainer clearfix"}>
                    <div className={"uploadImgRight"}>
                         <ImgToolComponent
                             type={"custom"}
                             noCloseBtn ={false}
                             imgSrc = { require('./img/lol.gif')}
                             handleClikCloseFunc = {props.handleDeleteImg}
                         ></ImgToolComponent>
                    </div>
                    <div className={"operationLeft"}>
                        <ImgToolComponent
                            type={"refresh"}
                            noCloseBtn = {true}
                            handleClikImgFunc = {props.handleRefreshImg}
                        ></ImgToolComponent>
                        <ImgToolComponent
                            type={"add"}
                            noCloseBtn = {true}
                            handleClikImgFunc = {props.handleAddImg}
                        ></ImgToolComponent>
                    </div>

                </div>
                <div className={"btnContainer"}>
                    <button onClick={this.handleSubmit.bind(this)} className={"submitEditBtn"}>提交</button>
                </div>
            </div>
        )
    }
}